# Search API

## Search Data Repository Value

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/data_repository/check/:field`

#### Path Parameters

| Name                                    | Type   | Description                                                                                                                       |
| --------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| field<mark style="color:red;">\*</mark> | String | <p>Enter field key based on module.</p><p>ex: cd\_aadhaar\_number<br><strong>Note:</strong> Check available field list below.</p> |

#### Query Parameters

| Name                                    | Type   | Description       |
| --------------------------------------- | ------ | ----------------- |
| value<mark style="color:red;">\*</mark> | String | Your Search Value |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "status_code": 200,
    "message": "Value successfully checked in data repository.",
    "data": {
        "reference_id": "3bf7184e-bdd9-4bd4-9bfd-c0e37afa8f5a",
        "result": {
            "available_status": "SUCCESS",
            "aadhaar_number": "765665676675",
            "data_category": "black",
            "file_name": "",
            "description": "",
            "tag": "Frequent COD return",
            "added_reason": "Card Skimming",
            "source": "",
            "age": 0,
            "added_at": "2023-08-22T09:41:31.230Z"
        },
        "requested_at": "2023-09-20T13:36:35.974Z",
        "completed_at": "2023-09-20T13:36:36.004Z"
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample Query Parameter

<table><thead><tr><th>Query</th><th width="148">Type</th><th width="146">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>value</td><td>String</td><td>Yes</td><td>Search value</td></tr></tbody></table>

#### Sample Response

```json
{
    "success": true,
    "code": 200,
    "message": "Value successfully checked in data repository.",
    "data": {
        "reference_id": "3bf7184e-bdd9-4bd4-9bfd-c0e37afa8f5a",
        "result": {
            "available_status": "SUCCESS",
            "aadhaar_number": "765665676675",
            "data_category": "black",
            "file_name": "",
            "description": "",
            "tag": "Frequent COD return",
            "added_reason": "Card Skimming",
            "source": "",
            "age": 0,
            "added_at": "2023-08-22T09:41:31.230Z"
        },
        "requested_at": "2023-09-20T13:36:35.974Z",
        "completed_at": "2023-09-20T13:36:36.004Z"
    }
}
```

#### Fields Id List

#### Financial Data

1. cd\_account\_holder\_name
2. cd\_account\_number

#### Company Data

1. cd\_aadhaar\_number
2. cd\_address
3. cd\_authorized\_signatory
4. cd\_business\_pan
5. cd\_company\_name
6. cd\_registration\_number
7. cd\_email\_address
8. cd\_gst\_or\_tax\_number
9. cd\_mobile\_number
10. cd\_trade\_name
11. cd\_website\_url

#### Individual Data

1. id\_address
2. id\_card\_hash
3. id\_customer\_name
4. id\_device\_id
5. id\_email\_address
6. id\_ip\_address
7. id\_mobile\_number
8. id\_postal\_code
9. id\_bin
10. id\_email\_domain

### Country.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/data-repository/search-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
